summaryrefslogtreecommitdiffstats
path: root/development/gprolog
diff options
context:
space:
mode:
author Eugene Suter2010-05-13 00:57:54 +0200
committer David Somero2010-05-13 00:57:54 +0200
commit39229a5cfab0d4bd5e1d6382d4bd400c3b30ea44 (patch)
treede2722c54bb4f73959854902b1d9dc3b98045eaa /development/gprolog
parent7f2897563b08f3f0982b9a42003f68f70aa4f8e5 (diff)
downloadslackbuilds-39229a5cfab0d4bd5e1d6382d4bd400c3b30ea44.tar.gz
development/gprolog: Added to 13.0 repository
Diffstat (limited to 'development/gprolog')
-rw-r--r--development/gprolog/README10
-rw-r--r--development/gprolog/gprolog.SlackBuild88
-rw-r--r--development/gprolog/gprolog.info11
-rw-r--r--development/gprolog/slack-desc19
4 files changed, 128 insertions, 0 deletions
diff --git a/development/gprolog/README b/development/gprolog/README
new file mode 100644
index 0000000000..27077bd867
--- /dev/null
+++ b/development/gprolog/README
@@ -0,0 +1,10 @@
+The gprolog configure script appears to ignore the execc-prefix
+information handed to it which indicates where compiled binaries
+should be installed. It insists on installing everything into
+/usr/gprolog-$VERSION/ and then creating symlinks in /usr/bin.
+
+This script will correct this by moving the files in
+/usr/gprolog-$VERSION to their propper places in /usr,
+ie: binaries are placed in /usr/bin, libraries in /usr/lib or
+/usr/lib64 and documentation in /usr/doc/gprolog-$VERSION.
+
diff --git a/development/gprolog/gprolog.SlackBuild b/development/gprolog/gprolog.SlackBuild
new file mode 100644
index 0000000000..438bf6a176
--- /dev/null
+++ b/development/gprolog/gprolog.SlackBuild
@@ -0,0 +1,88 @@
+#!/bin/sh
+
+# Slackware build script for gprolog
+# Written by Eugene Suter (easuter@gmail.com)
+
+PRGNAM=gprolog
+VERSION=${VERSION:-1.3.1}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# gprolog seems to ignore the default SlackBuild configure options
+# and installs itself into $prefix/gprolog-$VERSION
+# So build it with only these two flags for now
+cd src
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --build=$ARCH-slackware-linux
+
+# Compile the application and install it into the $PKG directory
+make
+make install DESTDIR=$PKG
+
+# Correct gprolog's installation dirs
+rm -rf $PKG/usr/bin # Only symlinks in here
+mv $PKG/usr/$PRGNAM-$VERSION/bin $PKG/usr/
+mv $PKG/usr/$PRGNAM-$VERSION/lib $PKG/usr/lib$LIBDIRSUFFIX
+mkdir $PKG/usr/doc
+mv $PKG/usr/$PRGNAM-$VERSION/doc $PKG/usr/doc/$PRGNAM-$VERSION/
+mv $PKG/usr/$PRGNAM-$VERSION/Examples* $PKG/usr/doc/$PRGNAM-$VERSION/
+mv $PKG/usr/$PRGNAM-$VERSION/include $PKG/usr/
+
+# Strip binaries and libraries
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+
+# Documentation
+mv $PKG/usr/$PRGNAM-$VERSION/{ChangeLog,COPYING,NEWS} \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# Make the package
+rm -rf $PKG/usr/$PRGNAM-$VERSION
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+
diff --git a/development/gprolog/gprolog.info b/development/gprolog/gprolog.info
new file mode 100644
index 0000000000..7fd7838c75
--- /dev/null
+++ b/development/gprolog/gprolog.info
@@ -0,0 +1,11 @@
+PRGNAM="gprolog"
+VERSION="1.3.1"
+HOMEPAGE="http://www.gprolog.org/"
+DOWNLOAD="http://www.gprolog.org/gprolog-1.3.1.tar.gz"
+MD5SUM="cbae19c31e17bcfca4b57fe35ec4aba2"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Eugene Suter"
+EMAIL="easuter@gmail.com"
+APPROVED="dsomero"
+
diff --git a/development/gprolog/slack-desc b/development/gprolog/slack-desc
new file mode 100644
index 0000000000..74f7385e9c
--- /dev/null
+++ b/development/gprolog/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+gprolog: gprolog (produces native binaries from Prolog+constraint programs)
+gprolog:
+gprolog: GNU Prolog accepts Prolog+constraint programs and produces native
+gprolog: binaries (like gcc does from a C source). The obtained executable
+gprolog: is then stand-alone. The size of this executable can be quite small
+gprolog: since GNU Prolog can avoid to link the code of most unused built-in
+gprolog: predicates. Beside the native-code compilation, GNU Prolog offers
+gprolog: a classical interactive interpreter (top-level) with a debugger.
+gprolog: The Prolog part conforms to the ISO standard for Prolog with many
+gprolog: extensions very useful in practice (global variables, OS interface,
+gprolog: sockets,...).